/*
 * Dir.h
 *
 *  Created on: Feb 1, 2017
 *      Author: vagner
 */

#pragma once

#include <string>
#include <vector>

namespace vCommon
{
	class Dir
	{
	public:
		//	создать директорий
		static bool CreateDir ( const std::string& Path );

		//	получить текущий директорий
		static std::string getCurDir ( );

#ifndef __KOS__
		//	получить список файлов директория
		//	если указан FileExtension - то только с указанным расширением
		static std::vector <std::string> GetFileList ( const std::string& Path, const std::string& FileExtension = std::string ( ) );
#endif
		//	получить список поддиректориев директория
		static std::vector <std::string> GetSubdirList ( const std::string& Path );

		//	существует ли путь?
		static bool IsExists ( const std::string& Path );
	};

} /* namespace vCommon */
